Run of lintian-fixes for dgit

Try this locally (using the lintian-brush package):

debcheckout dgit
cd dgit
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
[2021-04-09 01:01:12] Running ['lintian-brush']
[2021-04-09 01:01:12] Opening branch at https://salsa.debian.org/dgit-team/dgit.git/,branch=master
[2021-04-09 01:01:14] Using cached branch https://janitor.debian.net/git/dgit/,branch=debian%2Flatest
[2021-04-09 01:01:15] Resuming from branch https://salsa.debian.org/janitor-bot/dgit.git/,branch=lintian-fixes
[2021-04-09 01:01:40] Total 17266 (delta 0), reused 0 (delta 0), pack-reused 17266
[2021-04-09 01:02:12] Total 437 (delta 125), reused 360 (delta 72), pack-reused 0
[2021-04-09 01:02:12] 
[2021-04-09 01:02:23] All changes applied successfully.
[2021-04-09 01:02:27] Total 398 (delta 101), reused 369 (delta 76), pack-reused 0
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/dulwich/dulwich/file.py", line 146, in __init__
    fd = os.open(
FileExistsError: [Errno 17] File exists: '/tmp/tmpe8pa5l4k/dgit/.git/refs/heads/master.lock'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/git/transportgit.py", line 371, in lock_ref
    gf = GitFile(local_path, 'wb')
  File "/srv/janitor/debian-janitor/dulwich/dulwich/file.py", line 88, in GitFile
    return _GitFile(filename, mode, bufsize)
  File "/srv/janitor/debian-janitor/dulwich/dulwich/file.py", line 151, in __init__
    raise FileLocked(filename, self._lockfilename)
dulwich.file.FileLocked: ('/tmp/tmpe8pa5l4k/dgit/.git/refs/heads/master', '/tmp/tmpe8pa5l4k/dgit/.git/refs/heads/master.lock')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 207, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 713, in process_package
    with Workspace(
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/workspace.py", line 167, in __enter__
    self.local_tree.branch.controldir.push_branch(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/dir.py", line 364, in push_branch
    push_result.branch_push_result = source.push(
  File "/srv/janitor/debian-janitor/breezy/breezy/branch.py", line 1053, in push
    return InterBranch.get(self, target).push(
  File "/srv/janitor/debian-janitor/breezy/breezy/branch.py", line 2275, in push
    with self.source.lock_read(), self.target.lock_write():
  File "/srv/janitor/debian-janitor/breezy/breezy/git/branch.py", line 542, in lock_write
    self._lock_ref()
  File "/srv/janitor/debian-janitor/breezy/breezy/git/branch.py", line 768, in _lock_ref
    self._ref_lock = self.repository._git.refs.lock_ref(self.ref)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/transportgit.py", line 373, in lock_ref
    raise LockContention(name, e)
breezy.errors.LockContention: Could not acquire lock "b'refs/heads/master'": ('/tmp/tmpe8pa5l4k/dgit/.git/refs/heads/master', '/tmp/tmpe8pa5l4k/dgit/.git/refs/heads/master.lock')

Full worker log